%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define betatag beta3
Name:              fwbackups
Version:           1.43.0
Release:           0.1.%{betatag}%{?dist}
BuildArch:         noarch
Summary:           A feature-rich user backup program
Group:             Applications/System
License:           GPL
URL:               http://www.diffingo.com/content/view/12/45/lang,en/
Source0:           http://www.diffingo.com/downloads/fwbackups/fwbackups-%{version}%{betatag}.tar.gz
BuildRoot:         %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     desktop-file-utils
Requires:          pygtk2, pygtk2-libglade
Requires:          redhat-artwork, usermode

%description
fwbackups is a feature-rich user backups program that can run a backup once
based on user-specified files and folders, or run backups periodically with
it's backup set feature. Backup sets are groups of paths that have their
own paths, destination, time and date, and options to allow maximum
flexibility. Backup restores are also supported.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT

install -d -p -m755 ${RPM_BUILD_ROOT}%{_bindir}
install -d -p -m755 ${RPM_BUILD_ROOT}%{python_sitelib}/fwbackups

install -D -p -m755 fwbackups-runapp.py ${RPM_BUILD_ROOT}%{_datadir}/fwbackups/fwbackups-runapp.py
install -D -p -m755 cronwriter.py ${RPM_BUILD_ROOT}%{_datadir}/fwbackups/cronwriter.py
install -D -p -m644 fwbackups.glade ${RPM_BUILD_ROOT}%{_datadir}/fwbackups/fwbackups.glade

localsitelib='fwbackups'
for i in `ls -1 $localsitelib`;do
install -D -p -m644 $localsitelib/"$i" ${RPM_BUILD_ROOT}%{python_sitelib}/fwbackups/"$i"
done

install -D -p -m755 bin/fwbackups ${RPM_BUILD_ROOT}%{_bindir}/fwbackups
install -D -p -m755 bin/fwbackups-run ${RPM_BUILD_ROOT}%{_bindir}/fwbackups-run

desktop-file-install --vendor fedora\
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications\
    fwbackups.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{_datadir}/fwbackups
%dir %{python_sitelib}/fwbackups

%{_bindir}/fwbackups
%{_bindir}/fwbackups-run
%{_datadir}/fwbackups/*
%{_datadir}/applications/fedora-*.desktop
%{python_sitelib}/fwbackups/*

%doc README COPYING CHANGELOG TODO

%changelog
* Sat Apr 14 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-0.1.beta3
- Update to 1.43.0 Beta3

* Mon Mar 26 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-0.1.beta2
- Update to 1.43.0 Beta2

* Sun Mar 18 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-0.1.beta1
- Make release a Beta1 so the upgrade to final upgrade goes smoothly...

* Fri Mar 16 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-3
- Minor changes to package again

* Wed Mar 14 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-2
- Minor changes

* Mon Feb 12 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.43.0-1
- Update to version 1.43

* Sun Jan 28 2007 Stewart Adam <s.adam AT diffingo DOT com> 1.42.2-1
- Update to version 1.42.2 (see CHANGELOG file for details on version changes)

* Sat Sep 30 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42.1-3
- Clean up spec for final submission to Fedora Extras

* Sat Sep 30 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42.1-2
- Match upstream md5sum
- Fix capitals in %%Source0 tag

* Tue Sep 26 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42.1-1
- Clean up %%install section
- Don't install fwbackups.conf twice
- Make tarball match upstream
- Add the default configuration file to %%doc, and make it replaceable
- Update to version 1.42.1 (see CHANGELOG file for details on version changes)

* Thu Sep 21 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-5
- Add %%requires: pygtk2-libglade

* Wed Sep 13 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-4
- Fix the python_sitearch macro
- Update file paths
- Fix URL tag

* Wed Sep 06 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-3
- Made pam use 'include' statements and not the old pam_stack
- Use relative symlinks

* Sun Sep 03 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-2
- Added CHANGELOG file for detailed information on changes between versions
- Made this .spec and package files suitable for Fedora Extras submission

* Thu Aug 29 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-1
- Fixed errors when removing symbolic links
- Make listing files in RemoveOldBackups list files and directory names, not their contents

* Thu Aug 15 2006 Stewart Adam <s.adam AT diffingo DOT com> 1.42-0
- Rebuild using sample .spec file from Fedora Extras
- Update to version 1.42 (see CHANGELOG file for details on version changes)

